Skip to main content
POST
Create account offer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
external_id
string
required
Example:

"seller-account-123"

title
string
required
Example:

"League of Legends Account Diamond EUW"

price
required

Price in cents. Decimal prices such as 19.99 are accepted and converted to cents.

Example:

1999

game
string
Example:

"lol"

server
string
Example:

"EUW"

status
string
Example:

"listed"

parameters
object

Account details are stored and mapped into public listing fields. Rank and division can be sent separately or together, for example rank: Iron IV.

Example:
credentials
object
description
string
Example:

"Hand leveled EUW account."

rank

Alias for solo/current rank. Accepts names, IDs, or combined rank and division values such as Iron IV, Gold II, Platinum_III or diamond-1.

Example:

"Iron IV"

division

Alias for solo/current division. Accepts I, II, III, IV or IDs.

Example:

"II"

current_rank
Example:

"Gold"

current_division
Example:

"II"

current_lp
integer
Example:

120

flex_rank
Example:

"Silver"

flex_division
Example:

"I"

flex_lp
integer
Example:

75

previous_rank
Example:

"Platinum"

previous_division
Example:

"IV"

previous_lp
integer
Example:

20

level
integer
Example:

80

blue_essence
integer
Example:

45000

riot_points
integer
Example:

350

winrate_percent
integer
Example:

56

champion_count
integer
Example:

120

skin_count
integer
Example:

35

champions
Example:
skins
Example:
roles
Example:
in_game_name
string
Example:

"SummonerName"

image_ids

Attach images previously uploaded through POST /api/v1/images. Accepts [123], "123,124", [{"id":123}] or [{"image_id":123}].

Example:
image_urls
string[]
Example:
game_data
object

Alias for parameters. Account details from game_data are mapped the same way as parameters.

Response

Success

id
integer
Example:

123

external_id
string
Example:

"seller-account-123"

lolboost_account_id
integer
Example:

123

title
string
Example:

"League of Legends Account Diamond EUW"

price
integer
Example:

4999

status
enum<string>
Available options:
draft,
pending,
listed,
processing,
sold,
refunded,
archived
Example:

"listed"

created_at
string<date-time>
updated_at
string<date-time>
sold_at
string<date-time> | null
description
string
Example:

"Hand leveled EUW account."

current_rank
Example:

"Gold"

current_division
Example:

"II"

current_lp
integer
Example:

120

flex_rank
Example:

"Silver"

flex_division
Example:

"I"

flex_lp
integer
Example:

75

level
integer
Example:

80

blue_essence
integer
Example:

45000

riot_points
integer
Example:

350

winrate_percent
integer
Example:

56

champion_count
integer
Example:

120

skin_count
integer
Example:

35

image_ids
integer[]
Example:
image_urls
string[]
Example:
game_data
object | null